aboutsummaryrefslogtreecommitdiff
path: root/.hg-to-bk
diff options
context:
space:
mode:
authorkaf24@plym.cl.cam.ac.uk <kaf24@plym.cl.cam.ac.uk>2002-12-02 11:09:28 +0000
committerkaf24@plym.cl.cam.ac.uk <kaf24@plym.cl.cam.ac.uk>2002-12-02 11:09:28 +0000
commit0a26d281385e3c7f654cf84fc8556854c50a9908 (patch)
treed5b0bc5ecae07dbf1070c8b75b35537b437efa92 /.hg-to-bk
parent5e80fc2b6b803ba0669b14029807291ca362b7db (diff)
downloadxen-0a26d281385e3c7f654cf84fc8556854c50a9908.tar.gz
bitkeeper revision 1.6 (3deb3f68j4TEyGJ8DnBsIQOyNdg5bw)
hypervisor-ifs: new file
Diffstat (limited to '.hg-to-bk')
-rwxr-xr-x.hg-to-bk8
1 files changed, 7 insertions, 1 deletions
diff --git a/.hg-to-bk b/.hg-to-bk
index 039e4d0069..e689def08e 100755
--- a/.hg-to-bk
+++ b/.hg-to-bk
@@ -1,2 +1,8 @@
-#!/bin/sh
+#!/bin/sh -x
+set -e
+mkdir -p xenolinux-2.4.16-sparse
+mkdir -p xenolinux-2.4.16-sparse/include
+mkdir -p xenolinux-2.4.16-sparse/include/asm-xeno
+ln -s ../../../xen-2.4.16/include/hypervisor-ifs/ xenolinux-2.4.16-sparse/include/asm-xeno/hypervisor-ifs
+(find -depth -type d -print | xargs -r rmdir 2>/dev/null) || true
exit 0